Bug 98382 - Listbox in a table of a form doesn't follow its alignment property
Summary: Listbox in a table of a form doesn't follow its alignment property
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2016-03-03 12:58 UTC by Stéphane Aulery
Modified: 2018-10-02 21:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the bug (244.64 KB, image/png)
2016-03-03 12:58 UTC, Stéphane Aulery
Details
A base for testing (11.01 KB, application/vnd.oasis.opendocument.database)
2016-03-03 13:01 UTC, Stéphane Aulery
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Aulery 2016-03-03 12:58:36 UTC
Created attachment 123194 [details]
Screenshot showing the bug

In a control table, listbox are not algin on the right side. But in 
control Column (edition of form), it's configure to be align on the 
right side.
Comment 1 Stéphane Aulery 2016-03-03 13:00:01 UTC
Reported for version 4.3.3 on Debain.

I can reproduce with version 5.0.1.2 on Windows.
Comment 2 Stéphane Aulery 2016-03-03 13:01:13 UTC
Created attachment 123195 [details]
A base for testing
Comment 3 Robert Großkopf 2016-03-12 10:34:13 UTC
Could confirm the buggy behavior. Doesn't work in any LO-version I could test - also. Oldest version here is 3.3.0. System: OpenSUSE 42.1 64bit rpm Linux.

The listbox is able to show the content with right alignment:
1. Open the form for input data.
2. Chose the format for the column - you see "right" for the column.
3. Set back "right" to "left" (or something else).
4. Set back to "right".
5. Content is shown on the right side - but this wouldn't be saved.

Set the version to "Inherited From OOo".
Comment 4 QA Administrators 2017-05-22 13:19:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522